Search Results for

Show / Hide Table of Contents

# Class Border.ToplevelContainer

A sealed Toplevel derived class to implement Border feature. This is only a wrapper to get borders on a toplevel and is recommended using another derived, like Window where is possible to have borders with or without border line or spacing around.

##### Inheritance

System.Object
Responder
View
Toplevel
Border.ToplevelContainer

##### Implements

System.IDisposable
System.ComponentModel.ISupportInitializeNotification
System.ComponentModel.ISupportInitialize

##### Inherited Members

Toplevel.Running
Toplevel.Loaded
Toplevel.Ready
Toplevel.Unloaded
Toplevel.Activate
Toplevel.Deactivate
Toplevel.ChildClosed
Toplevel.AllChildClosed
Toplevel.Closing
Toplevel.Closed
Toplevel.ChildLoaded
Toplevel.ChildUnloaded
Toplevel.Resized
Toplevel.AlternateForwardKeyChanged
Toplevel.OnAlternateForwardKeyChanged(Key)
Toplevel.AlternateBackwardKeyChanged
Toplevel.OnAlternateBackwardKeyChanged(Key)
Toplevel.QuitKeyChanged
Toplevel.OnQuitKeyChanged(Key)
Toplevel.Create()
Toplevel.CanFocus
Toplevel.Modal
Toplevel.MenuBar
Toplevel.StatusBar
Toplevel.IsMdiContainer
Toplevel.IsMdiChild
Toplevel.OnKeyDown(KeyEvent)
Toplevel.OnKeyUp(KeyEvent)
Toplevel.ProcessKey(KeyEvent)
Toplevel.ProcessColdKey(KeyEvent)
Toplevel.PositionToplevel(Toplevel)
Toplevel.MouseEvent(MouseEvent)
Toplevel.WillPresent()
Toplevel.MoveNext()
Toplevel.MovePrevious()
Toplevel.RequestStop()
Toplevel.RequestStop(Toplevel)
Toplevel.PositionCursor()
Toplevel.GetTopMdiChild(Type, String[])
Toplevel.ShowChild(Toplevel)
View.Added
View.Removed
View.Enter
View.Leave
View.MouseEnter
View.MouseLeave
View.MouseClick
View.CanFocusChanged
View.EnabledChanged
View.VisibleChanged
View.HotKeyChanged
View.HotKey
View.HotKeySpecifier
View.Shortcut
View.ShortcutTag
View.ShortcutAction
View.Data
View.Driver
View.Subviews
View.TabIndexes
View.TabIndex
View.TabStop
View.Id
View.IsCurrentTop
View.WantMousePositionReports
View.WantContinuousButtonPressed
View.Frame
View.LayoutStyle
View.Bounds
View.X
View.Y
View.Width
View.Height
View.SuperView
View.SetNeedsDisplay()
View.ClearLayoutNeeded()
View.SetNeedsDisplay(Rect)
View.SetChildNeedsDisplay()
View.Add(View[])
View.BringSubviewToFront(View)
View.SendSubviewToBack(View)
View.SendSubviewBackwards(View)
View.BringSubviewForward(View)
View.Clear()
View.Clear(Rect)
View.ScreenToView(Int32, Int32)
View.ClipToBounds()
View.SetClip(Rect)
View.DrawFrame(Rect, Int32, Boolean)
View.DrawHotString(ustring, Attribute, Attribute)
View.DrawHotString(ustring, Boolean, ColorScheme)
View.Move(Int32, Int32, Boolean)
View.HasFocus
View.OnAdded(View)
View.OnRemoved(View)
View.OnEnter(View)
View.OnLeave(View)
View.Focused
View.MostFocused
View.ColorScheme
View.AddRune(Int32, Int32, Rune)
View.ClearNeedsDisplay()
View.DrawContent
View.OnDrawContent(Rect)
View.DrawContentComplete
View.OnDrawContentComplete(Rect)
View.SetFocus()
View.KeyPress
View.InvokeKeybindings(KeyEvent)
View.AddKeyBinding(Key, Command)
View.ReplaceKeyBinding(Key, Key)
View.ContainsKeyBinding(Key)
View.ClearKeybindings()
View.ClearKeybinding(Key)
View.ClearKeybinding(Command)
View.AddCommand(Command, Func<Nullable<Boolean>>)
View.GetSupportedCommands()
View.GetKeyFromCommand(Command)
View.ProcessHotKey(KeyEvent)
View.KeyDown
View.KeyUp
View.EnsureFocus()
View.FocusFirst()
View.FocusLast()
View.FocusPrev()
View.FocusNext()
View.LayoutStarted
View.LayoutComplete
View.Initialized
View.LayoutSubviews()
View.Text
View.AutoSize
View.TextAlignment
View.VerticalTextAlignment
View.TextDirection
View.IsInitialized
View.Enabled
View.Visible
View.ToString()
View.OnMouseEnter(MouseEvent)
View.OnMouseLeave(MouseEvent)
View.OnMouseEvent(MouseEvent)
View.OnMouseClick(View.MouseEventArgs)
View.OnEnabledChanged()
View.OnVisibleChanged()
View.Dispose(Boolean)
View.BeginInit()
View.EndInit()
View.SetWidth(Int32, Int32)
View.SetHeight(Int32, Int32)
View.GetCurrentWidth(Int32)
View.GetCurrentHeight(Int32)
View.GetNormalColor()
View.GetTopSuperView()
Responder.Dispose()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public sealed class ToplevelContainer : Toplevel, IDisposable, ISupportInitializeNotification, ISupportInitialize

### Constructors

#### ToplevelContainer()

Initializes with default null values.

##### Declaration

    public ToplevelContainer()

#### ToplevelContainer(Border, String)

Initializes a Border.ToplevelContainer with a Computed

##### Declaration

    public ToplevelContainer(Border border, string title = null)

##### Parameters

Type | Name | Description
--- | --- | ---
Border | border | The border.
System.String | title | The title.

#### ToplevelContainer(Rect, Border, String)

Initializes a Border.ToplevelContainer with a Absolute

##### Declaration

    public ToplevelContainer(Rect frame, Border border, string title = null)

##### Parameters

Type | Name | Description
--- | --- | ---
Rect | frame | The frame.
Border | border | The border.
System.String | title | The title.

### Properties

#### Border

##### Declaration

    public override Border Border { get; set; }

##### Property Value

Type | Description
--- | ---
Border |

##### Overrides

View.Border

### Methods

#### Add(View)

##### Declaration

    public override void Add(View view)

##### Parameters

Type | Name | Description
--- | --- | ---
View | view |

##### Overrides

Toplevel.Add(View)

#### OnCanFocusChanged()

##### Declaration

    public override void OnCanFocusChanged()

##### Overrides

View.OnCanFocusChanged()

#### Redraw(Rect)

##### Declaration

    public override void Redraw(Rect bounds)

##### Parameters

Type | Name | Description
--- | --- | ---
Rect | bounds |

##### Overrides

Toplevel.Redraw(Rect)

#### Remove(View)

##### Declaration

    public override void Remove(View view)

##### Parameters

Type | Name | Description
--- | --- | ---
View | view |

##### Overrides

Toplevel.Remove(View)

#### RemoveAll()

##### Declaration

    public override void RemoveAll()

##### Overrides

Toplevel.RemoveAll()

### Implements

System.IDisposable
System.ComponentModel.ISupportInitializeNotification
System.ComponentModel.ISupportInitialize